<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="13771" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" colorMatched="YES">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="13772"/>
        <capability name="Aspect ratio constraints" minToolsVersion="5.1"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <customFonts key="customFonts">
        <array key="PROXIMANOVA-SEMIBOLD_1.OTF">
            <string>ProximaNova-Semibold</string>
        </array>
        <array key="ProximaNova-Regular.otf">
            <string>ProximaNova-Regular</string>
        </array>
    </customFonts>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner" customClass="HistoryVC" customModule="CarWash" customModuleProvider="target">
            <connections>
                <outlet property="filterFooterView" destination="Ldp-Tp-djA" id="nyh-cx-DTD"/>
                <outlet property="filterTableView" destination="kyk-oK-CXV" id="h7i-9e-nLg"/>
                <outlet property="filterView" destination="R6k-q1-fUh" id="7mV-MY-cZO"/>
                <outlet property="labelNoNotification" destination="PAG-IF-GaA" id="2E7-Ue-qx1"/>
                <outlet property="lblNoResult" destination="3sn-dq-G3s" id="0Sk-S4-kHY"/>
                <outlet property="notificationBgImage" destination="SOd-hQ-Vak" id="ihu-M1-YAS"/>
                <outlet property="notificationView" destination="kmp-L8-J4e" id="zQJ-Rz-WWH"/>
                <outlet property="searchBar" destination="ldj-iz-chK" id="AVt-yI-Uh6"/>
                <outlet property="searchView" destination="52T-Id-vbg" id="Pt1-lK-i91"/>
                <outlet property="submitButton" destination="fNS-gm-Osk" id="N2O-PH-cLu"/>
                <outlet property="tableHistoryTopConstraint" destination="10E-To-35u" id="ip2-tB-YBb"/>
                <outlet property="tblHistory" destination="wMZ-Gz-3Xt" id="7oY-C4-ZMt"/>
                <outlet property="tblNotification" destination="hgs-9U-ETD" id="R1x-Je-xUI"/>
                <outlet property="view" destination="iN0-l3-epB" id="ZRQ-GY-D9J"/>
            </connections>
        </placeholder>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <view contentMode="scaleToFill" id="iN0-l3-epB">
            <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
            <subviews>
                <tableView clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" style="plain" separatorStyle="none" rowHeight="1" sectionHeaderHeight="28" sectionFooterHeight="1" translatesAutoresizingMaskIntoConstraints="NO" id="wMZ-Gz-3Xt">
                    <rect key="frame" x="0.0" y="0.0" width="375" height="657"/>
                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="calibratedWhite"/>
                    <connections>
                        <outlet property="dataSource" destination="-1" id="3s4-tx-Pef"/>
                        <outlet property="delegate" destination="-1" id="riv-Ip-TrY"/>
                    </connections>
                </tableView>
                <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="No History Available." textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="3sn-dq-G3s">
                    <rect key="frame" x="114.5" y="324" width="146" height="19.5"/>
                    <fontDescription key="fontDescription" name="ProximaNova-Regular" family="Proxima Nova" pointSize="16"/>
                    <color key="textColor" red="0.30588235289999999" green="0.30588235289999999" blue="0.30588235289999999" alpha="1" colorSpace="calibratedRGB"/>
                    <nil key="highlightedColor"/>
                </label>
            </subviews>
            <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
            <constraints>
                <constraint firstItem="wMZ-Gz-3Xt" firstAttribute="top" secondItem="iN0-l3-epB" secondAttribute="top" id="10E-To-35u"/>
                <constraint firstItem="3sn-dq-G3s" firstAttribute="centerY" secondItem="iN0-l3-epB" secondAttribute="centerY" id="5SW-yu-3wh"/>
                <constraint firstItem="wMZ-Gz-3Xt" firstAttribute="leading" secondItem="iN0-l3-epB" secondAttribute="leading" id="AM4-hI-1Fb"/>
                <constraint firstAttribute="bottom" secondItem="wMZ-Gz-3Xt" secondAttribute="bottom" constant="10" id="CMm-nA-nkp"/>
                <constraint firstItem="3sn-dq-G3s" firstAttribute="centerX" secondItem="iN0-l3-epB" secondAttribute="centerX" id="gl1-TE-8zJ"/>
                <constraint firstAttribute="trailing" secondItem="wMZ-Gz-3Xt" secondAttribute="trailing" id="sVH-Kc-VS4"/>
            </constraints>
            <point key="canvasLocation" x="35.5" y="53.5"/>
        </view>
        <view contentMode="scaleToFill" id="kmp-L8-J4e">
            <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
            <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="V7c-6d-n0Y">
                    <rect key="frame" x="10" y="56" width="356" height="565"/>
                    <subviews>
                        <imageView userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="popoverBg" translatesAutoresizingMaskIntoConstraints="NO" id="SOd-hQ-Vak">
                            <rect key="frame" x="0.0" y="0.0" width="356" height="565"/>
                        </imageView>
                        <tableView clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" style="plain" separatorStyle="none" rowHeight="44" sectionHeaderHeight="1" sectionFooterHeight="1" translatesAutoresizingMaskIntoConstraints="NO" id="hgs-9U-ETD">
                            <rect key="frame" x="0.0" y="8" width="356" height="557"/>
                            <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="calibratedWhite"/>
                            <connections>
                                <outlet property="dataSource" destination="-1" id="Wwu-bN-vtk"/>
                                <outlet property="delegate" destination="-1" id="8hu-fb-gcg"/>
                            </connections>
                        </tableView>
                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="There are no notifications." textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="PAG-IF-GaA">
                            <rect key="frame" x="87.5" y="273.5" width="182.5" height="19"/>
                            <fontDescription key="fontDescription" name="ProximaNova-Regular" family="Proxima Nova" pointSize="16"/>
                            <color key="textColor" red="0.30588235289999999" green="0.30588235289999999" blue="0.30588235289999999" alpha="1" colorSpace="calibratedRGB"/>
                            <nil key="highlightedColor"/>
                        </label>
                    </subviews>
                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="calibratedWhite"/>
                    <constraints>
                        <constraint firstAttribute="bottom" secondItem="SOd-hQ-Vak" secondAttribute="bottom" id="0s7-KN-Z49"/>
                        <constraint firstItem="PAG-IF-GaA" firstAttribute="centerY" secondItem="V7c-6d-n0Y" secondAttribute="centerY" id="0uS-ZF-4HB"/>
                        <constraint firstItem="SOd-hQ-Vak" firstAttribute="top" secondItem="V7c-6d-n0Y" secondAttribute="top" id="7QO-wf-2Hn"/>
                        <constraint firstAttribute="trailing" secondItem="hgs-9U-ETD" secondAttribute="trailing" id="BrQ-g3-M6N"/>
                        <constraint firstItem="SOd-hQ-Vak" firstAttribute="leading" secondItem="V7c-6d-n0Y" secondAttribute="leading" id="ENx-FP-ZKr"/>
                        <constraint firstAttribute="trailing" secondItem="SOd-hQ-Vak" secondAttribute="trailing" id="FcE-Qg-XRp"/>
                        <constraint firstAttribute="bottom" secondItem="hgs-9U-ETD" secondAttribute="bottom" id="Lx2-Iv-kp6"/>
                        <constraint firstItem="hgs-9U-ETD" firstAttribute="top" secondItem="V7c-6d-n0Y" secondAttribute="top" constant="8" id="Onm-El-hrb"/>
                        <constraint firstItem="PAG-IF-GaA" firstAttribute="centerX" secondItem="V7c-6d-n0Y" secondAttribute="centerX" id="dC8-at-jV4"/>
                        <constraint firstItem="hgs-9U-ETD" firstAttribute="leading" secondItem="V7c-6d-n0Y" secondAttribute="leading" id="l4t-of-JgN"/>
                    </constraints>
                </view>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="Huc-9K-f8Z">
                    <rect key="frame" x="331" y="21" width="40" height="40"/>
                    <constraints>
                        <constraint firstAttribute="width" constant="40" id="EB2-6c-lgO"/>
                        <constraint firstAttribute="width" secondItem="Huc-9K-f8Z" secondAttribute="height" multiplier="1:1" id="h3S-Kv-H4W"/>
                    </constraints>
                    <state key="normal" image="activeBell"/>
                    <connections>
                        <action selector="closeNotificationView" destination="-1" eventType="touchUpInside" id="Xlj-yP-zZn"/>
                    </connections>
                </button>
            </subviews>
            <color key="backgroundColor" white="0.0" alpha="0.61928407490000004" colorSpace="calibratedWhite"/>
            <constraints>
                <constraint firstAttribute="bottom" secondItem="V7c-6d-n0Y" secondAttribute="bottom" constant="46" id="1li-J1-Pe9"/>
                <constraint firstAttribute="trailing" secondItem="Huc-9K-f8Z" secondAttribute="trailing" constant="4" id="FBb-rE-cPm"/>
                <constraint firstItem="Huc-9K-f8Z" firstAttribute="top" secondItem="kmp-L8-J4e" secondAttribute="top" constant="21" id="WTw-KU-tWY"/>
                <constraint firstItem="V7c-6d-n0Y" firstAttribute="leading" secondItem="kmp-L8-J4e" secondAttribute="leading" constant="10" id="izg-ed-3x3"/>
                <constraint firstItem="V7c-6d-n0Y" firstAttribute="top" secondItem="kmp-L8-J4e" secondAttribute="top" constant="56" id="jOt-c4-HJH"/>
                <constraint firstAttribute="trailing" secondItem="V7c-6d-n0Y" secondAttribute="trailing" constant="9" id="p1C-R3-gwQ"/>
            </constraints>
            <nil key="simulatedStatusBarMetrics"/>
            <point key="canvasLocation" x="41" y="850"/>
        </view>
        <view contentMode="scaleToFill" id="52T-Id-vbg">
            <rect key="frame" x="0.0" y="0.0" width="375" height="56"/>
            <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
            <subviews>
                <searchBar contentMode="redraw" searchBarStyle="minimal" translatesAutoresizingMaskIntoConstraints="NO" id="ldj-iz-chK">
                    <rect key="frame" x="0.0" y="0.0" width="375" height="56"/>
                    <textInputTraits key="textInputTraits"/>
                    <connections>
                        <outlet property="delegate" destination="-1" id="4XB-oB-qKU"/>
                    </connections>
                </searchBar>
            </subviews>
            <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
            <constraints>
                <constraint firstAttribute="trailing" secondItem="ldj-iz-chK" secondAttribute="trailing" id="CaF-mg-ae8"/>
                <constraint firstAttribute="bottom" secondItem="ldj-iz-chK" secondAttribute="bottom" id="I5S-KS-WjA"/>
                <constraint firstItem="ldj-iz-chK" firstAttribute="leading" secondItem="52T-Id-vbg" secondAttribute="leading" id="hgk-9d-O2g"/>
                <constraint firstItem="ldj-iz-chK" firstAttribute="top" secondItem="52T-Id-vbg" secondAttribute="top" id="qe0-1W-pjE"/>
            </constraints>
            <freeformSimulatedSizeMetrics key="simulatedDestinationMetrics"/>
        </view>
        <view contentMode="scaleToFill" id="Ldp-Tp-djA">
            <rect key="frame" x="0.0" y="0.0" width="375" height="60"/>
            <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
            <subviews>
                <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" buttonType="roundedRect" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="fNS-gm-Osk">
                    <rect key="frame" x="8" y="8" width="359" height="44"/>
                    <color key="backgroundColor" red="0.0109672565" green="0.64927989239999995" blue="0.94856554270000004" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                    <fontDescription key="fontDescription" name="ProximaNova-Semibold" family="Proxima Nova" pointSize="16"/>
                    <state key="normal" title="Submit">
                        <color key="titleColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    </state>
                    <connections>
                        <action selector="submitButtonAction" destination="-1" eventType="touchUpInside" id="s5s-Sb-zSi"/>
                    </connections>
                </button>
            </subviews>
            <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
            <constraints>
                <constraint firstAttribute="trailing" secondItem="fNS-gm-Osk" secondAttribute="trailing" constant="8" id="DoW-5I-p5e"/>
                <constraint firstItem="fNS-gm-Osk" firstAttribute="top" secondItem="Ldp-Tp-djA" secondAttribute="top" constant="8" id="UMI-7Y-CLQ"/>
                <constraint firstItem="fNS-gm-Osk" firstAttribute="leading" secondItem="Ldp-Tp-djA" secondAttribute="leading" constant="8" id="lKc-Ck-7uf"/>
                <constraint firstAttribute="bottom" secondItem="fNS-gm-Osk" secondAttribute="bottom" constant="8" id="ttm-77-VjJ"/>
            </constraints>
            <freeformSimulatedSizeMetrics key="simulatedDestinationMetrics"/>
            <point key="canvasLocation" x="55" y="-512"/>
        </view>
        <view contentMode="scaleToFill" id="R6k-q1-fUh">
            <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
            <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
            <subviews>
                <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="DWv-wX-Uy3">
                    <rect key="frame" x="10" y="50" width="355" height="597"/>
                    <subviews>
                        <tableView clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" style="plain" separatorStyle="none" rowHeight="44" sectionHeaderHeight="1" sectionFooterHeight="1" translatesAutoresizingMaskIntoConstraints="NO" id="kyk-oK-CXV">
                            <rect key="frame" x="8" y="8" width="339" height="537"/>
                            <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="calibratedWhite"/>
                            <connections>
                                <outlet property="dataSource" destination="-1" id="P8P-Ua-cgT"/>
                                <outlet property="delegate" destination="-1" id="rEJ-xy-CCT"/>
                            </connections>
                        </tableView>
                        <button opaque="NO" contentMode="scaleToFill" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="4tc-Fg-SOY">
                            <rect key="frame" x="161.5" y="557" width="32" height="32"/>
                            <state key="normal" image="shape1"/>
                            <connections>
                                <action selector="closeFilterView" destination="-1" eventType="touchUpInside" id="qAY-8p-bTA"/>
                            </connections>
                        </button>
                    </subviews>
                    <color key="backgroundColor" white="0.0" alpha="0.0" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                    <constraints>
                        <constraint firstItem="4tc-Fg-SOY" firstAttribute="centerX" secondItem="kyk-oK-CXV" secondAttribute="centerX" id="Kmo-Qo-Bc0"/>
                        <constraint firstItem="kyk-oK-CXV" firstAttribute="top" secondItem="DWv-wX-Uy3" secondAttribute="top" constant="8" id="LdC-i3-1Fy"/>
                        <constraint firstItem="4tc-Fg-SOY" firstAttribute="top" secondItem="kyk-oK-CXV" secondAttribute="bottom" constant="12" id="NEX-Lk-ZFD"/>
                        <constraint firstAttribute="trailing" secondItem="kyk-oK-CXV" secondAttribute="trailing" constant="8" id="PQp-0F-rbD"/>
                        <constraint firstItem="kyk-oK-CXV" firstAttribute="leading" secondItem="DWv-wX-Uy3" secondAttribute="leading" constant="8" id="b0S-wD-0zw"/>
                        <constraint firstAttribute="bottom" secondItem="4tc-Fg-SOY" secondAttribute="bottom" constant="8" id="yG6-iZ-lRW"/>
                    </constraints>
                </view>
            </subviews>
            <color key="backgroundColor" white="0.0" alpha="0.61928407490000004" colorSpace="calibratedWhite"/>
            <constraints>
                <constraint firstItem="DWv-wX-Uy3" firstAttribute="leading" secondItem="R6k-q1-fUh" secondAttribute="leading" constant="10" id="A2x-t1-ZPe"/>
                <constraint firstAttribute="trailing" secondItem="DWv-wX-Uy3" secondAttribute="trailing" constant="10" id="TMB-Rb-13Y"/>
                <constraint firstAttribute="bottom" secondItem="DWv-wX-Uy3" secondAttribute="bottom" constant="20" id="deE-MA-olC"/>
                <constraint firstItem="DWv-wX-Uy3" firstAttribute="top" secondItem="R6k-q1-fUh" secondAttribute="top" constant="50" id="obF-8t-qso"/>
            </constraints>
            <nil key="simulatedStatusBarMetrics"/>
            <point key="canvasLocation" x="472.5" y="849.5"/>
        </view>
    </objects>
    <resources>
        <image name="activeBell" width="18" height="21"/>
        <image name="popoverBg" width="355" height="566"/>
        <image name="shape1" width="32" height="32"/>
    </resources>
</document>
